/*
 *  TextureLoaders.h
 *  Cocoaki3
 *
 *  Created by Christos Sotiriou on 9/21/08.
 *  Copyright 2008 Tei of Pireus. All rights reserved.
 *
 */
#include <iostream>
#import <Cocoa/Cocoa.h>
#include <OpenGL/OpenGL.h>
#include <OpenGL/glu.h>


using namespace std;

class BitmapTexture{
public:
	unsigned height;
	unsigned width;
	int bitmapType; // is the image RGB or RGBA?
	GLuint texID;
	GLubyte *data;
	
	void loadImage(NSString* imagePath);
	~BitmapTexture();
};